Skip to content
Coritan Docs

Organization API: Organization deployments: Env groups

The 5 Organization API operations for env groups.

View as Markdown

Part of Organization deployments.

Method Path Summary
GET /api/v1/orgs/{org_slug}/env-groups List groups
POST /api/v1/orgs/{org_slug}/env-groups Create an env group
GET /api/v1/orgs/{org_slug}/env-groups/{group_uuid} One env group, its variables without values, and the deployments it is linked to
PATCH /api/v1/orgs/{org_slug}/env-groups/{group_uuid} Rename an env group
DELETE /api/v1/orgs/{org_slug}/env-groups/{group_uuid} Delete an env group and its variables

GET /api/v1/orgs/{org_slug}/env-groups

The owner's env groups by name, each with how many variables it has and how many deployments it is linked to.

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/env-groups

Create an env group. Names are unique per owner, ignoring case.

Name In Type Required
org_slug path string yes

application/json (required)

Field Type Required
name string yes
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

One env group, its variables without values, and the deployments it is linked to

Section titled One env group, its variables without values, and the deployments it is linked to

GET /api/v1/orgs/{org_slug}/env-groups/{group_uuid}

One env group, its variables without values, and the deployments it is linked to.

Name In Type Required
group_uuid path string (uuid) yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PATCH /api/v1/orgs/{org_slug}/env-groups/{group_uuid}

Rename an env group.

Name In Type Required
group_uuid path string (uuid) yes
org_slug path string yes

application/json (required)

Field Type Required
name string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Delete an env group and its variables

Section titled Delete an env group and its variables

DELETE /api/v1/orgs/{org_slug}/env-groups/{group_uuid}

Delete an env group and its variables. The deployments it was linked to (listed in unlinked) lose its values with their next release.

Name In Type Required
group_uuid path string (uuid) yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.